GET /api/org/webhook/deliveries

What has been sent to the webhook, newest first: attempts, the last status, when the next try is due.

Surface: organisation. Who may call: organisation-key. Key: organisation.webhook.deliveries.

Example request

curl -X GET https://caremcp.com/api/org/webhook/deliveries \
  -H "Authorization: Bearer <API key or session>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "id": {
    "type": "string"
   },
   "orderId": {
    "type": "string"
   },
   "event": {
    "type": "string"
   },
   "attempts": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   },
   "deliveredAt": {
    "type": [
     "string",
     "null"
    ]
   },
   "nextAttemptAt": {
    "type": [
     "string",
     "null"
    ]
   },
   "lastStatus": {
    "anyOf": [
     {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     {
      "type": "null"
     }
    ]
   },
   "lastError": {
    "type": [
     "string",
     "null"
    ]
   }
  },
  "required": [
   "id",
   "orderId",
   "event",
   "attempts",
   "deliveredAt",
   "nextAttemptAt",
   "lastStatus",
   "lastError"
  ],
  "additionalProperties": false
 }
}